﻿
.footer-wave-box {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    height: 50px;
    overflow: hidden;
    pointer-events: none;
}

.footer-wave {
    /* background-image: url('images/flag/jawaherulQuranFooter.png');*/
    background-image: url('../../img/footer-wave_1.png');
    position: absolute;
    left: 0;
    top: 0;
    background-size: 50%;
    width: 200%;
    height: 100%;
    background-position: bottom;
    background-repeat: repeat-x;
    pointer-events: none;
}


.clear-wash-footer {
    position: relative;
   /* background: url(../img/bg.png) center center no-repeat;*/
    background-image: url('../../img/bg.png');
    background-size: cover;
}
    .clear-wash-footer::before {
        position: absolute;
        content: "";
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background: rgba(255, 255, 255, .1);
        pointer-events: none;
        clip-path: polygon(66% 0, 100% 0, 100% 100%, 33% 100%);
    }

    .newsletter .container {
        position: relative;
        z-index: 1;
    }


.clear-wash-footer .container {
    position: relative;
    z-index: 2;
}


.footer-animation {
    animation: footer_wave 5s linear infinite;
    left: auto;
    right: 0;
}
/*** Footer ***/
.clear-wash-footer a.btn.btn-link {
    display: block;
    margin-bottom: 10px;
    padding: 0;
    text-align: left;
    color: #ffffff !important;
    font-weight: normal;
    cursor: pointer;
    text-decoration: none !important;
    transition: all 0.3s ease;
}

    /* Hover */
    .clear-wash-footer a.btn.btn-link:hover {
        color: #1c2900 !important;
        letter-spacing: 1px;
    }


.clear-wash-footer .copyright {
    padding: 25px 0;
    /*   border-top: 3px solid var(--bs-light);*/
}


.clear-wash-footer .footer-menu a {
    margin-right: 15px;
    padding-right: 15px;
    border-right: 3px solid var(--bs-light);
}

    .clear-wash-footer .footer-menu a:last-child {
        margin-right: 0;
        padding-right: 0;
        border-right: none;
    }

@keyframes footer_wave {
    0% {
        transform: translateX(0%);
    }

    50% {
        transform: translateX(25%);
    }

    100% {
        transform: translateX(50%);
    }
}

.top-header {
    background-color: #1c2900;
    height: 40px;
    padding-top: 10px;
    padding-bottom: 30px;
    color: #fff;
    font-size: clamp(12px, 1.2vw, 15px);
    font-weight: 500;
    text-align: center;
    display: block;
}
.top-header {
    overflow: hidden;
}

.header-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.message-box {
    position: relative;
    overflow: hidden;
    width: 70%;
    text-align: center;
}

.msg {
    position: absolute;
    width: 100%;
    opacity: 0;
    transition: transform 0.5s ease, opacity 0.5s ease;
}

    /* ACTIVE */
    .msg.active {
        opacity: 1;
        transform: translateX(0);
        position: relative;
    }

/* IN animations */
.slide-in-left {
    transform: translateX(-100%);
    opacity: 1;
    animation: inFromLeft 0.5s forwards;
}

.slide-in-right {
    transform: translateX(100%);
    opacity: 1;
    animation: inFromRight 0.5s forwards;
}

/* OUT animations */
.slide-out-left {
    animation: outToLeft 0.5s forwards;
}

.slide-out-right {
    animation: outToRight 0.5s forwards;
}

/* Keyframes */
@keyframes inFromLeft {
    from {
        transform: translateX(-100%);
    }

    to {
        transform: translateX(0);
    }
}

@keyframes inFromRight {
    from {
        transform: translateX(100%);
    }

    to {
        transform: translateX(0);
    }
}

@keyframes outToLeft {
    from {
        transform: translateX(0);
        opacity: 1;
    }

    to {
        transform: translateX(-100%);
        opacity: 0;
    }
}

@keyframes outToRight {
    from {
        transform: translateX(0);
        opacity: 1;
    }

    to {
        transform: translateX(100%);
        opacity: 0;
    }
}

.arrow-btn {
    cursor: pointer;
    font-size: 20px;
    padding: 0 15px;
}

    .arrow-btn:hover {
        opacity: 0.8;
    }

@media only screen and (max-width:994px) {

    .footer-wave-box {
        display: none;
    }

    .single-footer {
        padding-top: 30px;
    }
}

.footer-heading {
    color: #1c2900 !important;
}
@media (max-width: 576px) {
    .top-header {
        font-size: 8px;
        font-weight: 500;
        padding: 6px 10px;
    }
}
